CVE-2009-2765 Details

CVE-2009-2765

Published: 2009-08-14
Last Modified: 2017-09-19
CVE Author: NIST National Vulnerability Database
CVE Assigner: cve@mitre.org
Summary

httpd.c in httpd in the management GUI in DD-WRT 24 sp1, and other versions before build 12533, allows remote attackers to execute arbitrary commands via shell metacharacters in a request to a cgi-bin/ URI.

Analysis
Common Vulnerability Score System v2.0
Severity High
Base Score 8.3/10
Exploit Score 6.5/10
Access Vector Adjacent_network
Access Complexity Low
Authentication None
Impact Score 10/10
Confidentiality Impact Complete
Availability Impact Complete
Integrity Impact Complete
Vector String AV:A/AC:L/Au:N/C:C/I:C/A:C
Common Vulnerability Score System v3.1

NIST has not assigned a CVSSv3.1 Score.

Products Reported
CPE Vulnerable Start Excluding
cpe:2.3:a:dd-wrt:dd-wrt:*:sp1:*:*:*:*:*:* Yes - -
References

http://isc.sans.org/diary.html?storyid=6853
http://metasploit.com/svn/framework3/trunk/modules/exploits/linux/http/ddwrt_cgibin_exec.rb
http://securitytracker.com/id?1022596
http://www.dd-wrt.com/
http://www.dd-wrt.com/phpBB2/viewtopic.php?t=55173
http://www.exploit-db.com/exploits/9209
http://www.osvdb.org/55990
http://www.securityfocus.com/bid/35742
http://www.theregister.co.uk/2009/07/21/critical_ddwrt_router_vuln/

CVE ID
CVE-2009-2765
Published
2009-08-14
Modified
2017-09-19
CVSSv2.0
High
PCI Compliance
Fail
US-CERT Alert
No
CWE
CWE-20

You never have to pay for a vulnerability scanning and management software again.

Tired of paying a subscription 'per asset' or 'per IP'? Well you can officially cancel your current subscription. Mageni provides a free, open source and enterprise-ready vulnerability scanning and management platform which helps you to find, prioritize, remediate and manage your vulnerabilities.